Name: kernel-pcmcia-cs
%define pcmciaver 3.1.24
Version: %{pcmciaver}
Release: 2
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System Environment/Kernel
Obsoletes: pcmcia-cs
Copyright: GPL
ExclusiveArch: i386
Epoch: 1
BuildRoot: %{_tmppath}/%{name}-root
Source0: ftp://projects.sourceforge.net/pub/pcmcia-cs/pcmcia-cs-%{pcmciaver}.tar.gz
Source1: pcmcia-cs-2.8.8-network.script
Source2: pcmcia-cs-3.1.24-isdn.script
Patch0: pcmcia-cs-3.1.18-script.patch
Patch1: pcmcia-cs-3.1.18-config.patch
Patch2: pcmcia-cs-3.1.24-modconfig.patch
Patch3: pcmcia-cs-3.1.24-rctrans.patch
Patch4: pcmcia-cs-3.1.23-yenta.patch
Patch5: pcmcia-cs-3.1.23-updfstab.patch
Patch6: pcmcia-cs-3.1.24-portrange.patch
Patch7: pcmcia-cs-3.1.24-init.patch
Patch8: pcmcia-cs-3.1.24-wireless.patch
Requires: kernel >= 2.4.0, chkconfig, kudzu >= 0.95, hotplug

%description
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are
small cards for everything from SCSI support to modems. PCMCIA cards
are hot swappable (i.e., they can be exchanged without rebooting the
system) and quite convenient to use. The kernel-pcmcia-cs package
contains a set of loadable kernel modules that implement an
applications program interface, a set of client drivers for specific
cards and a card manager daemon that can respond to card insertion and
removal events by loading and unloading drivers on demand.  The daemon
also supports hot swapping, so that the cards can be safely inserted
and ejected at any time.


%prep
%setup -n pcmcia-cs-%{version} -q
%patch0 -p1 -b .script
%patch1 -p2 -b .config
%patch2 -p1 -b .modconfig
%patch3 -p1 -b .rctrans
%patch4 -p1 -b .yenta
%patch5 -p1 -b .fstab
%patch6 -p1 -b .portrange
%patch7 -p1 -b .init
%patch8 -p1 -b .wire

%build

./Configure -n --kernel=/usr/src/linux-2.4 \
	--target=$RPM_BUILD_ROOT --trust --cardbus --nopnp --srctree \
	--moddir=/lib/modules/1.1.1 --sysv --rcdir=/etc/rc.d 

perl -pi -e 's/\/usr\/man/'`echo %{_mandir} | sed 's_/_\\\\/_g'`/ man/Makefile

make all

%install
make install

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/pcmcia/network
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/pcmcia/isdn

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=do_scan=0
CORE_OPTS=
CARDMGR_OPTS=-f
EOF

# Finally strip some binaries
for file in cardmgr cardctl probe scsi_info ftl_format ftl_check ; do
    strip -R .comment $RPM_BUILD_ROOT/sbin/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pcmcia

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- kernel-pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi

%changelog
* Sun Mar 11 2001 Than Ngo <than@redhat.com>
- add missing isdn script

* Sat Mar 10 2001 Preston Brown <pbrown@redhat.com>
- ad-hoc mode by default for wavelans

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- require hotplug
- actually install the stubbed network script
- fix wireless script so it works when not called from the
  network script
- use xircom_cb, not tulip

* Tue Feb 27 2001 Erik Troan <ewt@redhat.com>
- don't bring network devices up or down, let hotplug take care of it

* Fri Feb 23 2001 Erik Troan <ewt@redhat.com>
- changed airo to aironet4500 in the config files
- combined some patches as it was a complete mess
- removed patch for 26955 which was just wrong -- it tried to source in
  /etc/pcmcia/wireless, which is a script that expects arguments

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add condrestart to init script, move start and stop to functions
  the way we do everywhere else
- start pcmcia earlier on in the boot process - needs to be started
  before netfs if we want to mount nfs filesystems using pcmcia network
  cards.

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Make tulip cards use "tulip" rather than "xircom_tulip_cb"
  (Request from Arjan)
- remove 0x800-0x8ff range from ports (#25222)
- network script sources wireless script (#26955)

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Actually apply Erik's fstab patch
- Add support for various PCMCIA ISDN cards to /etc/pcmcia/config
  (Sedlbauer SpeedStar/SpeedStar II, AVM M1/M2/B1/A1, Elsa MicroLink)
- Update to 3.1.24 while at it:
  - Fixes buffer overrun in cardmgr
  - Fixes config scripts
  - Fixes wvlan_cs man page
  - Fixes script logging for DHCP
  All other 3.1.24 changes don't affect us because we aren't using
  the modules from this package

* Sun Feb 11 2001 Bill Nottingham <notting@redhat.com>
- take suid bit off of cardctl (#27098)

* Thu Feb 08 2001 Erik Troan <ewt@redhat.com>
- transparently use yenta_socket instead of i82365 when appropriate
- call updfstab here and there

* Tue Jan 23 2001 Erik Troan <ewt@redhat.com>
- switched to echo $"string" for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- switched to gprintf for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- changed xircom_tulip to xircom_tulip_cb in /etc/pcmcia/config

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.1.23

* Mon Jan 08 2001 Erik Troan <ewt@redhat.com>
- split kernel-pcmcia-cs into separate package as all of the pcmcia modules
  are from the main kernel now, and this just contributes cardmgr and config
  stuff

%files
%defattr(-,root,root)
%doc doc/PCMCIA-HOWTO 
%doc doc/PCMCIA-PROG
%doc SUPPORTED.CARDS 
%doc CHANGES 
%doc COPYING 
%doc README
/sbin/probe
/sbin/cardmgr
%attr(755,root,root) /sbin/cardctl
/sbin/ifport
/sbin/ifuser
/sbin/scsi_info
/sbin/ide_info
/sbin/pcinitrd
/sbin/ftl_format
/sbin/ftl_check
/sbin/dump_cis
/sbin/pack_cis
%{_mandir}/man[45]/*
%{_mandir}/man8/[a-c]*
%{_mandir}/man8/dump_cis.8*
%{_mandir}/man8/[e-j]*
%{_mandir}/man8/[l-z]*
/etc/pcmcia/cis
%dir /etc/pcmcia
%config /etc/pcmcia/config
%config /etc/pcmcia/config.opts
/etc/pcmcia/ftl
%config /etc/pcmcia/ftl.opts
/etc/pcmcia/ide
%config /etc/pcmcia/ide.opts
/etc/pcmcia/memory
%config /etc/pcmcia/memory.opts
/etc/pcmcia/network
/etc/pcmcia/isdn
/etc/pcmcia/parport
%config /etc/pcmcia/parport.opts
/etc/pcmcia/scsi
%config /etc/pcmcia/scsi.opts
/etc/pcmcia/serial
%config /etc/pcmcia/serial.opts
/etc/pcmcia/wireless
%config /etc/pcmcia/wireless.opts
/etc/pcmcia/shared
%config /etc/rc.d/init.d/pcmcia
%dir /var/lib/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
